Install .Net 3.5 feature and MPI

.net
mpi
dotnet
windows
mpich2

#1

Turn on .Net 3.5 feature and install MPI on Windows.

For instances on a Windows computer, where the Product Installation package is unable to install DotNet 3.5 and Microsoft MPI automatically, or you get an installation error.

A work around is to manually enable and install these components and the software.

Note:

On Windows 8 and 10 machines, .Net 3.5 is going to be installed as part of Windows update. If you are logged into your domain or active directory, please check with your IT department.**

  • Install .Net 3.5 by turning this feature ON in your computer:

    Control Panel > Programs > Programs and Features > Turn windows feature on and off,

  • install Microsoft MPI by opening the folder MSMpi from the Installation folder and running the file, MSMpiSetup.exe

  • install MPICH2 by opening the folder mpich2_x64 from the Installation folder and running the file, mpich2redist_x64.msi

  • Finally, run the product Installation file, [Product]_data.msi, from the installation folder.

    These should install all the necessary software to run the Product.


MPI not installed on the local machine
CPI test failed: unknown MPI error.
MSMPI 或者 Engine出错的处理
Error in FDTD
I can't install FDTD solutions
Unable to run simulations
Error in DEVICE when I want to run the simulation
Error when oled 2d simulation after update new version 2019a R1
Engine error - license not configured
Can not run simulation on Windows
Install Microsoft .Net feature on windows systems
Engine Error for S parameter sweep in Mode Solution
How to fix engine errors on Windows
Engine error when tried to run simulation in MODE
reinstalling lumerical/OS
计算中出现engine error的现象
Engine Error - [Resolved]
Device Error "...ended prematurely and may have crashed. exit code 0xc0000417"